e-Learning Consulting and SCORM-Based Software
 
Home > e-Learning Software > Learning Management System > LMS System Requirements

Learning Management System Requirements

The LMS is designed to work with familiar, inexpensive and easy to support software.

Server Requirements

The LMS uses server resources in an efficient and intelligent manner. A single server can support thousands of users. You can use multiple servers to support large groups of users and to provide high-availability. The LMS requires:

  • Windows Server 2008, Windows 2003 Server or Windows 2000 Server
  • SQL Server 2008, SQL Server 2005 or SQL Server 2000 - you can also use SQL Server Express (A free version of SQL Server)
  • Microsoft IIS Web Server 5.0 or Above

A smaller number of users can be supported with

  • Windows 7, Windows Vista or Windows XP Professional or Windows 2000 Professional

End-User Requirements

The LMS works with these popular browsers:

  • Internet Explorer Version 5.5+
  • Firefox 1+
  • Netscape Navigator Version 7+